Bug 236869 - mail/ezmlm-idx: builds on FreeBSD 12 but at least partially broken
Summary: mail/ezmlm-idx: builds on FreeBSD 12 but at least partially broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Colin Percival
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-29 04:41 UTC by Matt Simerson
Modified: 2019-11-03 02:04 UTC (History)
1 user (show)

See Also:
koobs: merge-quarterly+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Simerson 2019-03-29 04:41:23 UTC
After installing ezmlm-idx on a new system, using pkg, the binary fails to subscribe new users with the error: 

ezmlm-sub: fatal: Could not load plugin /usr/local/lib/ezmlm/sub-std.so: /usr/local/lib/ezmlm/sub-std.so: Undefined symbol "FATAL""

The solution I found is to add '-rdynamic' to conf-ld and then compile. After that ezmlm-idx works as expected.
Comment 1 commit-hook freebsd_committer 2019-11-02 07:25:23 UTC
A commit references this bug:

Author: cperciva
Date: Sat Nov  2 07:24:29 UTC 2019
New revision: 516289
URL: https://svnweb.freebsd.org/changeset/ports/516289

Log:
  Add -rdynamic to ezmlm-idx's conf-ld.  This flag was added in ezmlm-idx
  7.2.2 and is necessary in order for ezmlm to work on FreeBSD 12; but it
  was being removed when we overwrote conf-ld. [1]

  While I'm here, remove the djbware "no license" LEGAL_TEXT, which was
  added in error several years ago; this package is GPLv2.

  PR:		236869
  Reported by:	Matt Simerson

Changes:
  head/mail/ezmlm-idx/Makefile
Comment 2 Colin Percival freebsd_committer 2019-11-02 07:28:11 UTC
Thanks for reporting this -- I just tripped over this myself and the fact that you identified how to fix the problem saved me a lot of time.  I'm sorry that nobody noticed this and committed it earlier. :-/
Comment 3 commit-hook freebsd_committer 2019-11-02 18:09:46 UTC
A commit references this bug:

Author: cperciva
Date: Sat Nov  2 18:09:13 UTC 2019
New revision: 516361
URL: https://svnweb.freebsd.org/changeset/ports/516361

Log:
  MFH: r516289

  Add -rdynamic to ezmlm-idx's conf-ld.  This flag was added in ezmlm-idx
  7.2.2 and is necessary in order for ezmlm to work on FreeBSD 12; but it
  was being removed when we overwrote conf-ld. [1]

  While I'm here, remove the djbware "no license" LEGAL_TEXT, which was
  added in error several years ago; this package is GPLv2.

  PR:		236869
  Reported by:	Matt Simerson
  Approved by:	ports-secteam (blanket: run bugfixes)
  Reminded by:	koobs

Changes:
_U  branches/2019Q4/
  branches/2019Q4/mail/ezmlm-idx/Makefile
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2019-11-03 02:04:20 UTC
^Triage: Assign to committer that resolved, track quarterly merge